%define anolis_release 1


Name:		virglrenderer
Version:	0.10.4
Release:  %{anolis_release}%{?dist}

Summary:	Virgl Rendering library.
License:	MIT

Source0:	https://gitlab.freedesktop.org/virgl/virglrenderer/-/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  meson
BuildRequires:	xorg-x11-util-macros
BuildRequires:	libepoxy-devel
BuildRequires:	mesa-libgbm-devel
BuildRequires:	mesa-libEGL-devel
BuildRequires:	python3
BuildRequires:	libdrm-devel
BuildRequires:  libva-devel

%description
The virgil3d rendering library is a library used by
qemu to implement 3D GPU support for the virtio GPU.

%package devel
Summary: Virgil3D renderer development files

Requires: %{name} = %{version}-%{release}

%description devel
Virgil3D renderer development files, used by
qemu to build against.

%package test-server
Summary: Virgil3D renderer testing server

Requires: %{name} = %{version}-%{release}

%description test-server
Virgil3D renderer testing server is a server
that can be used along with the mesa virgl
driver to test virgl rendering without GL.

%prep
%setup -q -n %{name}-%{version}
%build
%meson -Dvideo=true
%meson_build

%install
%meson_install

%ldconfig_scriptlets

%generate_compatibility_deps

%files
%dir %{abidir}
%license COPYING
%{_libdir}/lib*.so.*
%{abidir}/lib*.dump

%files devel
%dir %{_includedir}/virgl/
%{_includedir}/virgl/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc

%files test-server
%{_bindir}/virgl_test_server

%changelog
* Wed Apr 5 2023 Ziyang Zhang <ZiyangZhang@linux.alibaba.com> - 0.10.4-1
- Init package from upstream v0.10.4